<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">

	<xs:simpleType name="LanguageId">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z]{2}|[.]" />
		</xs:restriction>
	</xs:simpleType>

	<xs:element name="UILanguage">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="UIImage" minOccurs="0" maxOccurs="unbounded"/>
				<xs:element ref="UISubstitution" minOccurs="0" maxOccurs="unbounded"/>
				<xs:element ref="UIItem" minOccurs="1" maxOccurs="unbounded"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>

	<xs:element name="UIImage">
		<xs:complexType>
			<xs:simpleContent>
				<xs:extension base="xs:string">
					<xs:attribute name="Lang" type="LanguageId" use="required"/>
				</xs:extension>
			</xs:simpleContent>
		</xs:complexType>
	</xs:element>

	<xs:element name="UISubstitution">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="Language" minOccurs="0" maxOccurs="unbounded"/>
			</xs:sequence>
			<xs:attribute name="Lang" type="LanguageId" use="required"/>
		</xs:complexType>
	</xs:element>

	<xs:element name="UIItem">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="Language" minOccurs="1" maxOccurs="unbounded" />
			</xs:sequence>
			<xs:attribute name="Name" type="xs:NCName" use="required"/>
		</xs:complexType>
	</xs:element>

	<xs:element name="Language">
		<xs:complexType>
			<xs:simpleContent>
				<xs:extension base="xs:string">
					<xs:attribute name="Lang" type="LanguageId" use="required"/>
				</xs:extension>
			</xs:simpleContent>
		</xs:complexType>
	</xs:element>

</xs:schema>
